$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$url        = 'https://download.tuxfamily.org/manaplus/download/1.8.9.1/windows/manaplus-1.8.9.1-win32.exe'
$url64      = 'https://download.tuxfamily.org/manaplus/download/1.8.9.1/windows/manaplus-1.8.9.1-win64.exe'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64

  softwareName  = 'ManaPlus*'

  checksum      = 'A6D79DAC9A600B148E072B2FFE7CEE28847540558827D3F27D2F0C6538C01D1B'
  checksumType  = 'sha256'
  checksum64    = '76E5AA96FA40F39130B0C5B9CDD21D7C447BC112436BBFDC127D0F00446D1C2F'
  checksumType64= 'sha256'

  silentArgs   = '/S'
  validExitCodes= @(0)
}

Install-ChocolateyPackage @packageArgs
